using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Bullet : MonoBehaviour {
    [SerializeField] private float speed = 20f;
    [SerializeField] private Rigidbody rigidbody;
     public Vector3 velocityDirection;

    private void Start() {
        rigidbody.velocity = speed * transform.up;
    }

    private void OnCollisionEnter(Collision collision) {
        // hurt nessie
        if (collision.gameObject.tag == "Nessie") {
            Nessie.Instance.Hurt();
            Destroy(gameObject);
        }
    }
}
